Move Agent
curl --request POST \
--url https://api.duvo.ai/v2/agents/{agent_id}/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bypass_standalone_gate": false
}
'import requests
url = "https://api.duvo.ai/v2/agents/{agent_id}/move"
payload = {
"target_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bypass_standalone_gate": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
target_team_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
bypass_standalone_gate: false
})
};
fetch('https://api.duvo.ai/v2/agents/{agent_id}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"source_team_id": "<string>",
"target_team_id": "<string>",
"root_agent_id": "<string>",
"agents": [
{
"id": "<string>",
"name": "<string>"
}
],
"queues": [
{
"id": "<string>",
"name": "<string>",
"item_count": 123
}
],
"total_case_items": 123,
"total_runs": 123,
"skills_to_clone": [
{
"id": "<string>",
"name": "<string>"
}
],
"files_to_copy": [
{
"path": "<string>"
}
],
"warnings": {
"outcome": {
"resources": [
{
"agent_id": "<string>",
"agent_name": "<string>",
"integration_type": "<string>",
"integration_name": "<string>",
"instance_name": "<string>",
"owner_user_id": "<string>",
"owner_name": "<string>",
"target_member_count": 123
}
],
"instances_reconnected": [
{
"agent_id": "<string>",
"agent_name": "<string>",
"integration_type": "<string>",
"integration_name": "<string>",
"instance_name": "<string>"
}
],
"instances_disconnected": [
{
"agent_id": "<string>",
"agent_name": "<string>",
"integration_type": "<string>",
"integration_name": "<string>",
"instance_name": "<string>"
}
],
"custom_integrations_to_rebuild": [
{
"agent_id": "<string>",
"agent_name": "<string>",
"custom_integration_name": "<string>"
}
],
"catalog_rows_created_on_target": 123,
"event_triggers_dropped": 123,
"schedules_dropped": 123,
"case_triggers_dropped": 123,
"readiness": {
"users_missing_on_target": [
{
"user_id": "<string>",
"user_name": "<string>",
"source_role": "<string>",
"connections_dropped": 123,
"browser_logins_dropped": 123,
"credentials_dropped": 123,
"event_triggers_dropped": 123,
"schedules_dropped": 123,
"case_triggers_dropped": 123
}
]
},
"in_flight_runs": [
{
"agent_id": "<string>",
"agent_name": "<string>",
"count": 123
}
]
},
"dropped_folders": [
{
"id": "<string>",
"name": "<string>"
}
],
"dropped_memory_count": 123,
"files_copied_count": 123,
"files_skipped_conflict": [
"<string>"
]
},
"applied": true
}{
"error": "<string>",
"code": "ASSIGNMENT_NOT_STANDALONE",
"blockers": {
"queues": [
{
"id": "<string>",
"name": "<string>"
}
],
"triggers": [
{
"id": "<string>",
"name": "<string>"
}
],
"event_triggers": [
{
"id": "<string>",
"name": "<string>"
}
],
"handovers_outgoing": [
{
"id": "<string>",
"name": "<string>"
}
],
"handovers_incoming": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Agents
Move Agent
Move an agent (and its connected workspace) to a different team. Pass dry_run=true to preview the closure without applying changes.
POST
/
v2
/
agents
/
{agent_id}
/
move
Move Agent
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The ID of the agent to move.
Query Parameters
When true, preview the closure and warnings without applying any changes.
Body
application/json
Response
Default Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I